<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dns" id="requests-summary-by-method">

 <lire:title>Requests Summary by Method DNS Report</lire:title>
 <lire:description>
  <para>This report shows some global statistics about the requests
   made on the DNS server splitted by method.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Requests Summary by Method</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:summary>
   <lire:group name="requests_by_resolver">
    <lire:field name="resolver"/>
    <lire:count name="res_request_total"/>
   </lire:group>

   <lire:group name="client_hosts_by_resolver">
    <lire:field name="resolver"/>
    <lire:count name="res_client_host_total" fields="requesting_host"/>
   </lire:group>

   <lire:group name="requested_names_by_resolver">
    <lire:field name="resolver"/>
    <lire:count name="res_requested_names_total" fields="request"/>
   </lire:group>

   <lire:group name="avg_requests_by_client_by_resolver">
    <lire:field name="resolver"/>
    <lire:avg name="res_avg_request_by_client_host" by-fields="requesting_host"/>
   </lire:group>

  </lire:summary>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
